OpenTTD Source: src/newgrf/newgrf_act7_9.cpp File Reference

OpenTTD Source 15.3

Functions | Variables
newgrf_act7_9.cpp File Reference

NewGRF Action 0x07 and Action 0x09 handler. More...

`#include "../stdafx.h"`
`#include "../debug.h"`
`#include "../genworld.h"`
`#include "../network/network.h"`
`#include "../newgrf_engine.h"`
`#include "../newgrf_cargo.h"`
`#include "../rail.h"`
`#include "../road.h"`
`#include "../settings_type.h"`
`#include "newgrf_bytereader.h"`
`#include "newgrf_internal.h"`
`#include "../safeguards.h"`

Go to the source code of this file.

## Functions
void | InitializePatchFlags ()
| Initialize the TTDPatch flags.
uint32_t | GetParamVal (uint8_t param, uint32_t *cond_val)
static void | SkipIf (ByteReader &buf)

## Variables
static std::array< uint32_t, 8 > | _ttdpatch_flags
| 32 * 8 = 256 flags.

## Detailed Description

NewGRF Action 0x07 and Action 0x09 handler.

Definition in file newgrf_act7_9.cpp.

## Function Documentation

## ◆ GetParamVal()

uint32_t GetParamVal | ( | uint8_t | param,
|  | uint32_t * | cond_val
| ) |  |

Definition at line 116 of file newgrf_act7_9.cpp.

## ◆ InitializePatchFlags()

void InitializePatchFlags | ( |  | ) |

Initialize the TTDPatch flags.

Definition at line 28 of file newgrf_act7_9.cpp.

References _generating_world, _settings_game, _ttdpatch_flags, EconomySettings::allow_town_roads, ConstructionSettings::build_on_slopes, GameSettings::construction, VehicleSettings::disable_elrails, VehicleSettings::dynamic_engines, GameSettings::economy, VehicleSettings::freight_trains, OrderSettings::gradual_loading, OrderSettings::improved_load, EconomySettings::inflation, ConstructionSettings::max_bridge_length, StationSettings::never_expire_airports, VehicleSettings::never_expire_vehicles, GameSettings::order, GameSettings::station, EconomySettings::station_noise_level, ConstructionSettings::train_signal_side, GameSettings::vehicle, and VehicleSettings::wagon_speed_limits.

Referenced by LoadNewGRF().

## ◆ SkipIf()

static void SkipIf | ( | ByteReader & | buf | ) |
| static

Definition at line 162 of file newgrf_act7_9.cpp.

## Variable Documentation

## ◆ _ttdpatch_flags

std::array<uint32_t, 8> _ttdpatch_flags
| static

32 * 8 = 256 flags.

Apparently TTDPatch uses this many..

Definition at line 25 of file newgrf_act7_9.cpp.

Referenced by InitializePatchFlags().